PDA

Visualizza la versione completa : xfree86-common e x11-common in conflitto


PaTeR non PeTeR
16-09-2005, 18:44
Ciao ragazzi, sto avendo dei problemi...

Per installare il modem, devo installare ben 3 pakketti, solo che per installare il primo ( libgtk1.2 ) dopo soddisfare molte dipendenze di sotto-pakketti, devo installare x11-common al fine di installare libx11-dev

Solo che quando cerco di installarlo con dpkg mi segnala che esso va in conflitto con xfree86-common... Che devo fare? Lo installo lo stesso? Perchè per levare tutti pakketti che dipendono da xfree86-common ci vorrebbe una vita...

Marcolino's
16-09-2005, 18:51
Segui anche la mia discussione su x-org e comunque leggiti questo: http://www.debian-administration.org/articles/185

PaTeR non PeTeR
16-09-2005, 18:58
Quindi mi basta fare un backup di /etc/X11/ e poi installare xserver-xorg ( con le relative dipendenze) ?

Marcolino's
16-09-2005, 19:00
Segui quello che c'è scritto lì, a me mi si è installato senza problemi (sarge), però considera che io non avevo xfree installato prima.

PaTeR non PeTeR
16-09-2005, 19:04
Originariamente inviato da Marcolino's
Segui quello che c'è scritto lì, a me mi si è installato senza problemi (sarge), però considera che io non avevo xfree installato prima. Okay, speriamo che quei dannati software che vogliono xfree86 fungano anche con X11, sennò posso morire disinstallando ed intallando tutto...

PaTeR non PeTeR
16-09-2005, 20:05
mmm... xserver-common è già installato ma anche se lo voglio aggiornare non lo aggiorna...


invece xserver-xorg dà problemi con xlibs...



Che mi converrà disintallare deb e reinstallarla senza xfree86?

Loading